package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class EmployeeDto {

    /** 主键ID */
    private Integer id;

    /** 用户名 */
    @ApiModelProperty(value = "用户名",required = false)
    private String realName;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "电话ID",required = false)
    private String phone;

    /** 0-正常，9-锁定 */
    @ApiModelProperty(value = "0-正常，9-锁定",required = false)
    private String lockFlag;

    @ApiModelProperty(value = "角色名称",required = false)
    private String roleName;

    @ApiModelProperty(value = "角色名称",required = false)
    private List<String> roleNames;

    @ApiModelProperty(value = "角色编号",required = false)
    private List<Integer> roleIds;

    /** 工作性质（兼职、全职、临时） */
    private String jobNature;

    /** 入职时间 */
    private java.util.Date entryDate;

    /** 离职日期 */
    private java.util.Date demissionDate;

    @ApiModelProperty(value = "部门ID",required = false)
    private List<Long> organIdList;

    @ApiModelProperty(value = "部门名称",required = false)
    private List<String> organNameList;

    private String contactAddress;

    private String postalCode;

    public String getContactAddress() {
        return contactAddress;
    }

    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public List<String> getRoleNames() {
        return roleNames;
    }

    public void setRoleNames(List<String> roleNames) {
        this.roleNames = roleNames;
    }

    public List<Integer> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<Integer> roleIds) {
        this.roleIds = roleIds;
    }

    public List<Long> getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(List<Long> organIdList) {
        this.organIdList = organIdList;
    }

    public List<String> getOrganNameList() {
        return organNameList;
    }

    public void setOrganNameList(List<String> organNameList) {
        this.organNameList = organNameList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public Date getDemissionDate() {
        return demissionDate;
    }

    public void setDemissionDate(Date demissionDate) {
        this.demissionDate = demissionDate;
    }
}
